curl
curl -X GET "https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"manualStep": {
"createdAt": "2026-09-07T10:01:00Z",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"id": "5b2c8d17-4e93-42af-8c1d-6f0a9b3e7d24",
"instructions": "Arrange courier collection and log the asset tag.",
"status": "pending",
"title": "Collect the laptop",
"updatedAt": "2026-09-07T10:01:00Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Approvals & manual steps
Get a manual step
GET
/
api
/
v1
/
manual-steps
/
{manualStepId}
curl
curl -X GET "https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>" \
-H "Authorization: Bearer $TRIGGR_API_KEY"const res = await fetch("https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.TRIGGR_API_KEY}`,
},
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();$headers = @{
Authorization = "Bearer $env:TRIGGR_API_KEY"
}
Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/manual-steps/<manualStepId>' -Headers $headersimport requests
url = "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/manual-steps/{manualStepId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"manualStep": {
"createdAt": "2026-09-07T10:01:00Z",
"executionId": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"id": "5b2c8d17-4e93-42af-8c1d-6f0a9b3e7d24",
"instructions": "Arrange courier collection and log the asset tag.",
"status": "pending",
"title": "Collect the laptop",
"updatedAt": "2026-09-07T10:01:00Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I

